#include "my_module.h"

/***********************************************************************************************************************
 *
 *                                                   D E F I N E S
 *
 **********************************************************************************************************************/

#define my_macro 1  // Violates general_rule_2, not lower case snake case

/***********************************************************************************************************************
 *
 *                                                  T Y P E D E F S
 *
 **********************************************************************************************************************/

typedef int my_int;  // Violates general_rule_3, not suffixed with _t

/***********************************************************************************************************************
 *
 *                             P R I V A T E   F U N C T I O N   D E C L A R A T I O N S
 *
 **********************************************************************************************************************/

/***********************************************************************************************************************
 *
 *                                  P R I V A T E   D A T A   D E F I N I T I O N S
 *
 **********************************************************************************************************************/

static const int my_global_variable;             // Violates general_rule_5, not prefixed with file name
static const int MY_MODULE__MY_GLOBAL_VARIABLE;  // Violates general_rule_1, not lower case snake case

typedef void (*my_function_pointer_type)(void);  // Violates function_rule_3, not suffixed with _f

/***********************************************************************************************************************
 *
 *                                         P R I V A T E   F U N C T I O N S
 *
 **********************************************************************************************************************/

/***********************************************************************************************************************
 *
 *                                          P U B L I C   F U N C T I O N S
 *
 **********************************************************************************************************************/

void my_module__my_function_name(void) {
  my_int MY_LOCAL_VARIABLE;  // Violates general_rule_1, not lower case snake case
}

int main(void) {
  my_module__my_function_name();

  return 0;
}
